#!/bin/sh
#*******************************************************************************
#
# Module: 
#
# 	uninsRTD.sh
#
# Purpose:
#
# 	Uninstallation procedure for Recital Terminal Developer on UNIX
#
# Mode of use:
#
#	uninstRTD.sh
#
#*******************************************************************************
# setup envrionment
##############################################################
. recital94RTD.sh
homedir=`pwd`
cd $ROI_ROOT
silent=$3
. setup/reclib.sh
 setversion
 setprofile
#
##############################################################
# If not silent confirm uninstall
##############################################################
if [ "${linux}" = "1" ]; then
  reply="y"
else
  reply="n"
  $echonl_b "Uninstall Recital ${version} Terminal Developer (y/n) [${reply}] : $echonl_a"
  read reply
  if [ "$reply" = "" ]
  then
    reply="n"
  fi
  if [ "$reply" = "y" -o "$reply" = "Y" ]
  then
     echo "Uninstalling Recital ${version} Terminal Developer."
  else
    exit
  fi
fi
#
##############################################################
# Remove the files from the uninstall list
##############################################################
remove setup/uninstRTD.lis $silent
#
##############################################################
# Remove desktop and menu shortcuts
##############################################################
delshortcut
delmenu
#
##############################################################
# Remove product releated files
##############################################################
cd ${ROI_ROOT}
rm /usr/bin/recital${ver}RTD.sh      > /dev/null 2>&1
rm /usr/bin/db          	> /dev/null 2>&1
rm /usr/bin/dba 		> /dev/null 2>&1
rm /usr/bin/dbdemo 		> /dev/null 2>&1
rm /usr/bin/dbc 		> /dev/null 2>&1
rm /usr/bin/dbconvert 		> /dev/null 2>&1
rm /usr/bin/dbdesign 		> /dev/null 2>&1
rm /usr/bin/dbinfo 		> /dev/null 2>&1
rm /usr/bin/dbprint 		> /dev/null 2>&1
rm /usr/bin/dbl 		> /dev/null 2>&1
rm /usr/bin/dbrt        	> /dev/null 2>&1
rm /usr/bin/dbstop        	> /dev/null 2>&1
rm /usr/bin/dbusers 		> /dev/null 2>&1
rm /usr/bin/dbvideo 		> /dev/null 2>&1
rm terminaldeveloper/dbprint 	> /dev/null 2>&1
rm td 				> /dev/null 2>&1
rm setup/setupRTD.sh 			> /dev/null 2>&1
rm setup/platformRTD 			> /dev/null 2>&1
rm setup/uninstRTD.sh 			> /dev/null 2>&1
rm setup/uninstRTD.lis		> /dev/null 2>&1
rm setup/platform.txt		> /dev/null 2>&1
rmdir setup 			> /dev/null 2>&1
rmdir terminaldeveloper/help 	> /dev/null 2>&1
rmdir terminaldeveloper/error 	> /dev/null 2>&1
rmdir terminaldeveloper/log 	> /dev/null 2>&1
rmdir terminaldeveloper 		> /dev/null 2>&1
rmdir shared 			> /dev/null 2>&1
rmdir data 			> /dev/null 2>&1
rmdir doc 			> /dev/null 2>&1
rmdir images 			> /dev/null 2>&1
rmdir sdk 			> /dev/null 2>&1
rmdir licenses/rus		> /dev/null 2>&1
rmdir licenses/rtd		> /dev/null 2>&1
rmdir licenses 			> /dev/null 2>&1
cd ../
rm recital			> /dev/null 2>&1
rm /usr/bin/recital${ver}RTD.sh		> /dev/null 2>&1
delldconfig
#
##############################################################
# Delete component from rpm database
##############################################################
if [ "${linux}" = "1" ]; then
  delrpm recital-terminal-developer
  rm RTD-${fullver}.rpm				> /dev/null 2>&1
fi
#
##############################################################
# Restore envrionment
##############################################################
cd ${homedir}
