!*******************************************************************************
!** Terminal definition: Wyse 370 Color Terminal with VT numeric keyboard     **
!*******************************************************************************
!
!*******************************************************************************
!** Terminal output definitions                                               **
!*******************************************************************************
1=\E[2J			# clear the screen
2=\001\002\E[%d;%dr	# set scrolling region
3=\001\002\E[%d;%dH 	# cursor position
4=\E[?5i		# select concurrent screen and printer port
5=\E[5i			# select printer port only
6=\E[4i\E[?4i		# turn off printer port
7=\E7			# save terminal state
8=\E8			# restore terminal state
9=\E[0K			# clear to end of line
10=\E[0J		# clear to end of screen
11=\E[4m		# underline on
12=\E[0m      		# select normal attribute mode
13=\170			# graphics vertical bar
14=\E(0			# select graphics mode
15=\E(B			# select ascii mode (turn off graphics mode)
16=\167			# lines top 'T'
17=\156			# lines crossing '+'
18=\166			# lines bottom 'T'
19=\164			# lines left vertical 'T'
20=\165			# lines right vertical 'T'
21=\154			# lines top left corner
22=\153			# lines top right corner
23=\155			# lines bottom left corner
24=\152			# lines bottom right corner
25=\161			# lines horizontal line character
26=\170			# lines vertical line character
27=\141			# 'hatch' character for windows
28=\E[7m     		# reverse video on
29=\E[0m  		# reverse video off
30=\E[1m		# bold on
31=\E[0m		# bold off
32=\E= 			# select keypad mode
33=\E[5m    		# blink on
!34=\E[49;4w		# initialisation
35=\E[?25h		# cursor normal
36=\E[?25l		# cursor invisible
!37=\E[63;0w\E[50w	# terminal close (reset)
!*******************************************************************************
!** map of function keys to internal control keys                             **
!*******************************************************************************
38=^c			# [0]		F1
39=^a			# [1]		F2
40=^f			# [2]		F3
41=^t			# [3]		F4
42=^u			# [4]		F5
43=^z			# [5]		F6
44=^b			# [6]		F7
45=^y			# [7]		F8
46=^k			# [8]		F9
47=^l			# [9]		F10
48=^g			# [-]		F11
49=^d			# [,]		F12
50=^q			# [.]		Home
51=^v			# [Enter]	F15
52=^w			# [PF1]		F16
53=^r			# [PF2]		F13
54=^n			# [PF3]		F14
55=\177			# [PF4]		Del
!
!*******************************************************************************
!** Internal codes for keyboard macros                                        **
!*******************************************************************************
66=^g			# 
67=^h			# 
68=^g			# 
69=^f			# 
70=^c			#
71=^q			#
72=^t			#
73=^d			#
74=^u			#
75=^w			#
!
!*******************************************************************************
!** function key labels                                                       **
!*******************************************************************************
!
76=[0]			# function key label [0]
77=[1]			# function key label [1]
78=[2]			# function key label [2]
79=[3]			# function key label [3]
80=[4]			# function key label [4]
81=[5]			# function key label [5]
82=[6]			# function key label [6]
83=[7]			# function key label [7]
84=[8]			# function key label [8]
85=[9]			# function key label [9]
86=[-]			# function key label [-]
87=[\,]			# function key label [,]
88=[.]			# function key label [.]
89=[Enter]		# function key label [Enter]
90=[PF1]		# function key label [PF1]
91=[PF2]		# function key label [PF2]
92=[PF3]		# function key label [PF3]
93=[PF4]		# function key label [PF4]
94=[Hold]		# function key label [Hold]
95=[Print]		# function key label [Print]
96=[Set-Up]		# function key label [Set-Up]
97=[Data/Talk]		# function key label [Data/Talk]
98=[Break]		# function key label [Break]
99=[F6]			# function key label [F6]
100=[F7]		# function key label [F7]
101=[F8]		# function key label [F8]
102=[F9]		# function key label [F9]
103=[F10]		# function key label [F10]
104=[F11]		# function key label [F11] (ESC)
105=[F12]		# function key label [F12] (BS)
106=[F13]		# function key label [F13]
107=[F14]		# function key label [F14]
108=[F15]		# function key label [F15]
109=[F16]		# function key label [F16]
110=[F17]		# function key label [F17]
111=[F18]		# function key label [F18]
112=[F19]		# function key label [F19]
113=[F20]		# function key label [F20]
!
!******************************************************************************
!** map of control keys in menus to function key labels                      **
!******************************************************************************
114=[F13]		# ^a 
115=[F9]		# ^b
116=[Help]		# ^c
117=[F18]		# ^d
118=<-			# ^e
119=[F14]		# ^f
120=[F11]		# ^g
121=[F13]		# ^h
!122=			# ^i
123=[F14]		# ^j
124=[Find]		# ^k
125=[Select]		# ^l
!126=			# ^m
127=[Next]		# ^n
!128=			# ^o
!129=			# ^p
130=[Do]		# ^q
131=[Prev]		# ^r
132=[PF1]		# ^s
133=[F17]		# ^t
134=[F19]		# ^u
135=[Ins]		# ^v
136=[F20]		# ^w
137=->			# ^x
138=[Rem]		# ^y
139=[F10]		# ^z
!
!
!******************************************************************************
!** Miscellaneous items                                                      **
!******************************************************************************
140=\001		# \001 if a workstation environment 
!141=\001		# \001 if BS->DEL mapping required
!142=			# \001 if a bordered window required (SUN!!!)
143=\001		# \001 if keyboard translation required
144=\001		# \001 is to disable PCKEYS offsetting of codes
!145=			# offset to be added to cursor addresses
!146=\001		# \001 if LF->CR mapping required
!147=			# spare
!148=			# spare
!149=			# spare
!
!******************************************************************************
!** keyboard input driver map                                                **
!******************************************************************************
!-----------------------+------------------------+-----------------------------
!key sequence           | Ansii keypad sequence  | native keyboard label     **
!-----------------------+------------------------+-----------------------------
150=\EOP		# [0]			   F1
151=\E[25~		# [1]			   F2
152=\E[26~		# [2]		           F3
153=\EOS		# [3]		           F4
154=\E[M		# [4]		           F5
155=\E[21~		# [5]		           F6
156=\E[20~		# [6]		           F7
157=\E[19~		# [7]		           F8
158=\E[1~		# [8]		           F9
159=\E[4~		# [9]		           F10
160=\E[23~		# [-]		           F11
161=\E[24~		# [,]		           F12
162=\E[H		# [.]		           Home
163=\E[2~		# [Enter]	           Insert (F15)
164=\E[34~		# [PF1]			   End
165=\E[V		# [PF2]		           PgUp (F13)
166=\E[U		# [PF3]		           PgDn (F14)
167=\E[24~		# [PF4]		           Del
!168=\EOA		# UP		           same
!169=\EOB		# DOWN		           same
!170=\EOC		# LEFT		           same
!171=\EOD		# RIGHT		           same
!
!-----------------------+------------------------+-----------------------------
! Foreground colors
!------------------------------------------------------------------------------
!
175=\E[61;0w		# black
176=\E[61;42w		# gray
177=\E[61;32w		# red
178=\E[61;53w		# light red
179=\E[61;09w		# green
180=\E[61;29w		# light green
181=\E[61;36w		# brown
182=\E[61;60w		# yellow
183=\E[61;3w		# blue
184=\E[61;11w		# light blue
185=\E[61;35w		# magenta
186=\E[61;55w		# light magenta
187=\E[61;31w		# cyan
188=\E[61;47w		# light cyan
189=\E[61;63w		# white
190=\E[61;63w		# bright white
!
!******************************************************************************
!** Background colors                                                        **
!******************************************************************************
!
191=\E[62;0w		# black
192=\E[62;42w		# gray
193=\E[62;32w		# red
194=\E[62;53w		# light red
195=\E[62;09w		# green
196=\E[62;29w		# light green
197=\E[62;36w		# brown
198=\E[62;60w		# yellow
199=\E[62;3w		# blue
200=\E[62;11w		# light blue
201=\E[62;35w		# magenta
202=\E[62;55w		# light magenta
203=\E[62;31w		# cyan
204=\E[62;47w		# light cyan
205=\E[62;63w		# white
206=\E[62;63w		# bright white
!
!-----------------------+------------------------+-----------------------------
! Miscellaneous section
!------------------------------------------------------------------------------
208=\002		# 10ths of a second wait if Esc should be tested
220=\001		# \001 if screen handles 25 rows
207=\001		# If screen does not retain colors
!-----------------------+------------------------+-----------------------------
! Initialisation section
!------------------------------------------------------------------------------
999=\E(B		# select char set g0 ascii mode
999=\E)A		# select char set g1 iso latin char set	
999=\E[?66l		# set keypad to normal
